subroutine TD_CombinedMotionData (i)
    
   Use TD_DrillStemComponents
   use SimulationVariables !@
   use SimulationVariables !@
   use SimulationVariables !@
   

   implicit none
   
   Integer :: i
   
   
   
   data%State%TD_DrillStems(i)%CombVelRatio = atan( data%State%TD_String%DrillStemAxialVelocity/data%State%TD_String%DrillStemRotVelocity )
   
   
   
   
   
end subroutine